package com.yidianling.im.session.extension;

import com.alibaba.fastjson.JSONObject;

/**
 * 添加预约时间
 * Created by harvie on 2017/1/10.
 */

public class CustomAttachSubScriptTime extends CustomAttachment {

    private String TITLE = "title";

    private String title;

    public CustomAttachSubScriptTime() {
        super(CustomAttachmentType.ADD_SUBSCRIPT_TIME);
    }

    public CustomAttachSubScriptTime(String title) {
        super(CustomAttachmentType.ADD_SUBSCRIPT_TIME);
        this.title = title;
    }

    @Override
    protected void parseData(JSONObject data) {
        title = data.getString(TITLE);
    }

    @Override
    protected JSONObject packData() {
        JSONObject data = new JSONObject();
        data.put(TITLE,title);
        return data;
    }
}
